import {  price,User,FileApi } from '@/api/'
import request from '@/utils/require'
//历史数据查询接口
export function showDataLists(params) {
  return request({
    url: `${price}/history/`,
    method: 'post',
    data:params
  })
}

//回显接口
export function showData(params) {
  return request({
    url: `${price}/reportMany/${params}/`,
    method: 'get',
    data:params
  })
}

// 保存
export function saveDataLists(params) {
  return request({
    url: `${price}/reportMany/`,
    method: 'put',
    data:params
  })
}

// 组织机构树
export function reportArea(code = 15000) {
  return request({
      url: `${User}/area/findCity?code=${code}`,
      method: 'get',
  });
}

//粮油信息周刊列表
export function weeklyList(page, size, title) {
  return request({
      url: `${price}/journals?page=${page}&size=${size}`,
      method: 'post',
      data:{
          title: title,

      }
  })
}

// 查询文件信息集合
export function fileAllFn(thisId){
  return request({
      url: `${FileApi}/file/findByAll/${thisId}`,
      method: 'get'
  })
}  


// export function weeklyList(params) {
//   return request({
//     url: `${price}/journals/`,
//     method: 'post',
//     data:params
//   })
// }
// // 上报统计详情  
// export function infoDataLists(params) {
//   return request({
//     url: `${priceUp}/tjReportStatisticsInfo/`,
//     method: 'post',
//     data:params
//   })
// }
// // 内蒙数据上报回显接口
// export function showDataListsNei(params) {
//   return request({
//     url: `${priceUp}/nmReportStatistics/`,
//     method: 'post',
//     data:params
//   })
// }